﻿--[[

  Paladin SEAL Bar for World of Warcraft
    Desc:  A row of buttons for your paladin's seals

  AUTHOR:
   Zahmer - Eonar    a.k.a Noxide - Windrunner

]]--
SEALBAR_ENABLED = true;

SealBarData = { };

local Seals = {
	SEAL_OF_RIGHTEOUSNESS,
	SEAL_OF_COMMAND,
	SEAL_OF_THE_MARTYR,
	SEAL_OF_JUSTICE,
	SEAL_OF_LIGHT,
	SEAL_OF_WISDOM,
	SEAL_OF_VENGEANCE,
	SEAL_OF_BLOOD,
	};
	
local Judge = {
JUDGMENT,
};

local playerName, button;

local ver=11;

function SealBar_OnLoad()
	local class
	_, Class = UnitClass("player");
	if (Class == "PALADIN") then
	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("SPELLS_CHANGED");
	this:RegisterEvent("PLAYER_AURAS_CHANGED");
	this:RegisterEvent("SPELL_UPDATE_COOLDOWN");

	SLASH_SEALBAR1 = "/sealbar";
	SLASH_SEALBAR2 = "/sb";
	SlashCmdList["SEALBAR"] = function(msg)
		SealBar_SlashHandler(string.lower(msg));
	end
	end
end

function SealBar_SlashHandler(msg)
	if (string.find(msg, "config")) then
		-- This function cannot be performed in combat.
                if (InCombatLockdown() == nil) then
		if( SealBarConfig:IsVisible() ) then
			SealBarConfig:Hide();
		else
			SealBarConfig:Show();
		end
		end
	elseif (string.find(msg, "show")) then
		SealBar:Show();
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_MSG1);
	elseif (string.find(msg, "help")) then
		DEFAULT_CHAT_FRAME:AddMessage("SealBar v"..ver);
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_HELPTEXT1);
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_HELPTEXT2);
	else
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_HELPTEXT3);
	end
end

function StartSealBar()
	if (not SealBarData) then
		SealBarData[playerName] = {
			["horizontal"] = true,
			["scale"] = 1,
			[SEAL_OF_RIGHTEOUSNESS] = 1,
			[SEAL_OF_COMMAND] = 1,
			[SEAL_OF_THE_MARTYR] = 1,
			[SEAL_OF_JUSTICE] = 1,
			[SEAL_OF_LIGHT] = 1,
			[SEAL_OF_WISDOM] = 1,
			[SEAL_OF_VENGEANCE] = 1,
			[SEAL_OF_BLOOD] = 1,
			["version"] = ver,
			["hidebar"] = false,
			["order"] = "az",
			["SortOrder"] = "s1",
		};
	end
	if (not SealBarData[playerName]) then
		SealBarData[playerName] = {
			["horizontal"] = true,
			["scale"] = 1,
			[SEAL_OF_RIGHTEOUSNESS] = 1,
			[SEAL_OF_COMMAND] = 1,
			[SEAL_OF_THE_MARTYR] = 1,
			[SEAL_OF_JUSTICE] = 1,
			[SEAL_OF_LIGHT] = 1,
			[SEAL_OF_WISDOM] = 1,
			[SEAL_OF_VENGEANCE] = 1,
			[SEAL_OF_BLOOD] = 1,
			["version"] = ver,
			["hidebar"] = false,
			["order"] = "az",
			["SortOrder"] = "s1",
		};
	end
	if (SealBarData[playerName]["horizontal"] == nil) then
		SealBarData[playerName]["horizontal"] = true;
	end
	if (SealBarData[playerName]["scale"] == nil) then
		SealBarData[playerName]["scale"] = 1;
	end
	if (SealBarData[playerName]["hidebar"] == nil) then
		SealBarData[playerName]["hidebar"] = false;
	end
	if (SealBarData[playerName]["order"] == nil) then
		SealBarData[playerName]["order"] = "az";
	end
		if (SealBarData[playerName]["SortOrder"] == nil) then
		SealBarData[playerName]["SortOrder"] = "s1";
	end
	if (SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS] == nil) then
		SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_COMMAND] == nil) then
		SealBarData[playerName][SEAL_OF_COMMAND] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_THE_MARTYR] == nil) then
		SealBarData[playerName][SEAL_OF_THE_MARTYR] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_JUSTICE] == nil) then
		SealBarData[playerName][SEAL_OF_JUSTICE] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_LIGHT] == nil) then
		SealBarData[playerName][SEAL_OF_LIGHT] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_WISDOM] == nil) then
		SealBarData[playerName][SEAL_OF_WISDOM] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_VENGEANCE] == nil) then
		SealBarData[playerName][SEAL_OF_VENGEANCE] = 1;
	end
	if (SealBarData[playerName][SEAL_OF_BLOOD] == nil) then
		SealBarData[playerName][SEAL_OF_BLOOD] = 1;
	end
	if (SealBarData[playerName]["version"] == nil) then
		-- wipe data and start fresh
		SealBarData[playerName] = nil;
		SealBarData[playerName] = {
			["horizontal"] = true,
			["scale"] = 1,
			[SEAL_OF_RIGHTEOUSNESS] = 1,
			[SEAL_OF_COMMAND] = 1,
			[SEAL_OF_THE_MARTYR] = 1,
			[SEAL_OF_JUSTICE] = 1,
			[SEAL_OF_LIGHT] = 1,
			[SEAL_OF_WISDOM] = 1,
			[SEAL_OF_VENGEANCE] = 1,
			[SEAL_OF_BLOOD] = 1,
			["version"] = ver,
			["hidebar"] = false,
			["order"] = "az",
			["SortOrder"] = "s1",
		};
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_MSG2);
	elseif (SealBarData[playerName]["version"] ~= ver) then
		-- wipe data and start fresh
		SealBarData[playerName] = nil;
		SealBarData[playerName] = {
			["horizontal"] = true,
			["scale"] = 1,
			[SEAL_OF_RIGHTEOUSNESS] = 1,
			[SEAL_OF_COMMAND] = 1,
			[SEAL_OF_THE_MARTYR] = 1,
			[SEAL_OF_JUSTICE] = 1,
			[SEAL_OF_LIGHT] = 1,
			[SEAL_OF_WISDOM] = 1,
			[SEAL_OF_VENGEANCE] = 1,
			[SEAL_OF_BLOOD] = 1,
			["version"] = ver,
			["hidebar"] = false,
			["order"] = "az",
			["SortOrder"] = "s1",
		};
		DEFAULT_CHAT_FRAME:AddMessage(SEALBAR_MSG3);
	end
	
	RighteousnessButton_Scale();
	CommandButton_Scale();
	TheMartyrButton_Scale();
	JusticeButton_Scale();
	LightButton_Scale();
	WisdomButton_Scale();
	VengeanceButton_Scale();
	BloodButton_Scale();
	SealBar_Scale();
	SealBar_Update(false);
end

function SealBar_OnEvent()
	if (event == "PLAYER_ENTERING_WORLD") then
		if (UnitName("player") ~= UNKNOWNBEING and UnitName("player") ~= UNKNOWNOBJECT and UnitName("player") and not playerName) then
			playerName = UnitName("player").." of "..GetCVar("realmName");
		end
		StartSealBar();
	end
	if (event == "SPELL_CHANGED") then
		SealBar_Update(false);
	elseif (event == "PLAYER_AURAS_CHANGED") then
		SealBar_Update(true);
	elseif (event == "SPELL_UPDATE_COOLDOWN") then
		SealBar_UpdateCooldowns();
	end
end

function SealBar_Scale()
	for i = 1, 8 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName]["scale"]);
	end
end

function RighteousnessButton_Scale()
	for i = 1, 1 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]);
	end
end

function CommandButton_Scale()
	for i = 2, 2 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_COMMAND]);
	end
end

function TheMartyrButton_Scale()
	for i = 3, 3 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_THE_MARTYR]);
	end
end

function JusticeButton_Scale()
	for i = 4, 4 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_JUSTICE]);
	end
end

function LightButton_Scale()
	for i = 5, 5 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]);
	end
end

function WisdomButton_Scale()
	for i = 6, 6 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_COMMAND]);
	end
end

function VengeanceButton_Scale()
	for i = 7, 7 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_VENGEANCE]);
	end
end

function BloodButton_Scale()
	for i = 8, 8 do
		button = getglobal("SealBarButton"..i);
		button:SetScale(SealBarData[playerName][SEAL_OF_JUSTICE]);
	end
end

function SealBar_SortOrder()
	        if (InCombatLockdown() == nil) then
	if (SealBarData[playerName]) then
		if (SealBarData[playerName]["horizontal"] == false and SealBarData[playerName]["SortOrder"] == "s1") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("TOP", "SealBarButton"..i - 1, "BOTTOM", 0, 1);
			end
			elseif (SealBarData[playerName]["horizontal"] == false and SealBarData[playerName]["SortOrder"] == "s2") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("BOTTOM", "SealBarButton"..i - 1, "TOP", 0, 1);
			end
			elseif (SealBarData[playerName]["horizontal"] == true and SealBarData[playerName]["SortOrder"] == "s1") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("LEFT", "SealBarButton"..i - 1, "RIGHT", 1, 0);
			end
		elseif (SealBarData[playerName]["horizontal"] == true and SealBarData[playerName]["SortOrder"] == "s2") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("RIGHT", "SealBarButton"..i - 1, "LEFT", 1, 0);
			end
		else
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("LEFT", "SealBarButton"..i - 1, "RIGHT", 1, 0);
			end
		end
	end
	end
end


function SealBar_O()
	-- This function cannot be performed in combat.
        if (InCombatLockdown() == nil) then
	if (SealBarData[playerName]) then
		if (SealBarData[playerName]["horizontal"] == false and SealBarData[playerName]["order"] == "az") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("TOP", "SealBarButton"..i - 1, "BOTTOM", 0, 1);
			end
		elseif (SealBarData[playerName]["horizontal"] == false and SealBarData[playerName]["order"] == "za") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("BOTTOM", "SealBarButton"..i - 1, "TOP", 0, 1);
			end
		elseif (SealBarData[playerName]["horizontal"] == true and SealBarData[playerName]["order"] == "az") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("LEFT", "SealBarButton"..i - 1, "RIGHT", 1, 0);
			end
		elseif (SealBarData[playerName]["horizontal"] == true and SealBarData[playerName]["order"] == "za") then
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("RIGHT", "SealBarButton"..i - 1, "LEFT", 1, 0);
			end
		else
			for i = 2, 8 do
				local button = getglobal("SealBarButton"..i);
				button:ClearAllPoints();
				button:SetPoint("LEFT", "SealBarButton"..i - 1, "RIGHT", 1, 0);
			end
		end
	end
	end
end

function SealBar_Hide()
	-- This function cannot be performed in combat.
        if (InCombatLockdown() == nil) then
	local frame = getglobal("SealBar");
	if (frame) then
		if(frame:IsVisible() ) then
			frame:Hide();
		else
			frame:Show();
		end
	end
	end
end

function SealBar_Update(switchpage)
	local sealsbarmacrotext, i, button, p, l;
	if (SealBarData[playerName]) then
		SealBar_O();
		SealBar_SortOrder();
		i = 0;
		-- This function cannot be performed in combat.
		if (InCombatLockdown() == nil) then
			for key in pairs(Seals) do
				getglobal("SealBarButton"..key):Hide();
			end
			SealBar:Show();
		end
		for key, value in pairs(Seals) do
			local id = SealBar_GetSpellID(value);
			if (id) then
				i = i + 1;
 				button = getglobal("SealBarButton"..i);
				-- This function cannot be performed in combat.
        			if (InCombatLockdown() == nil) then
					button:SetAttribute("type", "spell");
					button:SetAttribute("spell", value);
				end

  				local texture = GetSpellTexture(id, BOOKTYPE_SPELL);
				getglobal("SealBarButton"..i.."Icon"):SetTexture(texture);
				button:SetAttribute("id",id);
				-- This function cannot be performed in combat.
				if (InCombatLockdown() == nil) then
  					button:Show();
				end
			end
		end
		-- This function cannot be performed in combat.
		if ((i == 0) and (InCombatLockdown() == nil)) then
			SealBar:Hide();
		end
	end

	-- If we are updating due to a cast, switch actionbar pages
	-- This function cannot be performed in combat.
	if ((switchpage) and (InCombatLockdown() == nil)) then
		i=1;
		while true do
			value=UnitBuff("player",i);
			if (value==nul) then
				break;
			else
				-- Don't bother switching if they have it disabled.
				p=SealBarData[playerName][value];
				i=i+1;
				-- Looking for SEAL
				l = strlen(SEALBAR_MASK);
				if ((string.sub(value,1,l)==SEALBAR_MASK) and (p>0)) then
					ChangeActionBarPage(p);
					break;
				end
			end
			if (i>50) then
				break;  --failsafe to prevent infinite loops
			end;
		end
	end
end

function SealBar_UpdateCooldowns()
	for i = 1, 8 do
		button = getglobal("SealBarButton"..i);
		if (button:GetAttribute("id")) then
			local cooldown = getglobal(button:GetName().."Cooldown");
			local start, duration, enable = GetSpellCooldown(button:GetAttribute("id"), SpellBookFrame.bookType);
			if (start > 0 and duration > 0) then
				cooldown:SetCooldown(start, duration);
			end
		end
	end
end
	
function SealBar_GetSpellID(spell, rank, debug)
	local i = 1;
	local spellID;
	local highestRank;
	while true do
		local spellName = GetSpellName(i, SpellBookFrame.bookType);
		if (not spellName) then
			break;
		end
		if (spellName == spell) then
			spellID = i;
			highestRank = spellRank;
		end
		i = i + 1;
		if (i > 300) then
			break;
		end
	end			
	if (debug) then
		DEFAULT_CHAT_FRAME:AddMessage("Could not find |cffffffff'"..spell.." ("..rank..")'", 1.0, 0.1, 0.0);
	end
	return spellID, highestRank;
end

function SealBar_SetTooltip()
	if (this:GetAttribute("id")) then 
		GameTooltip_SetDefaultAnchor(GameTooltip, this);
		GameTooltip:SetSpell(this:GetAttribute("id"), SpellBookFrame.bookType);
		GameTooltip:Show();
end
end

function SealBar_OnClick()
	if (this:GetAttribute("id") and arg1 == "LeftButton") then
		CastSpell(this:GetAttribute("id"), BOOKTYPE_SPELL);
	end
end

function SealBar_OnBind(that_spell)
  local spellID = SealBar_GetSpellID(that_spell);
	CastSpell(spellID, BOOKTYPE_SPELL);
	
end

function SealBarGetPoint()
	local vLeft = SealBar:GetLeft();
	local vTop = SealBar:GetTop();
	SealBarData[playerName]["left"] = vLeft;
	SealBarData[playerName]["top"] = vTop;
end

-- CONFIG

-- OnShow
function SealBarConfig_OnShow()	

	-- This function cannot be performed in combat.
        if (InCombatLockdown() == nil) then
	if (not SealBarData) then
		this:Hide();
		return;
	end
	if (not SealBarData[playerName]) then
		this:Hide();
		return;
	end
	if (not SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]) then
		this:Hide();
		return;
	end

	getglobal(this:GetName().."SliderRighteousness"):SetValue( SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]);
	getglobal(this:GetName().."SliderCommand"):SetValue( SealBarData[playerName][SEAL_OF_COMMAND]);
	getglobal(this:GetName().."SliderTheCrusader"):SetValue( SealBarData[playerName][SEAL_OF_THE_MARTYR]);
	getglobal(this:GetName().."SliderJustice"):SetValue( SealBarData[playerName][SEAL_OF_JUSTICE]);
	getglobal(this:GetName().."SliderLight"):SetValue( SealBarData[playerName][SEAL_OF_LIGHT]);
	getglobal(this:GetName().."SliderWisdom"):SetValue( SealBarData[playerName][SEAL_OF_WISDOM]);
	getglobal(this:GetName().."SliderVengeance"):SetValue( SealBarData[playerName][SEAL_OF_VENGEANCE]);
	getglobal(this:GetName().."SliderBlood"):SetValue( SealBarData[playerName][SEAL_OF_BLOOD]);
	getglobal(this:GetName().."SliderScale"):SetValue( SealBarData[playerName]["scale"] );
	getglobal(this:GetName().."CheckButton1"):SetChecked(SealBarData[playerName]["horizontal"]);
	getglobal(this:GetName().."CheckButton2"):SetChecked(SealBarData[playerName]["order"] == "za");
	--getglobal(this:GetName().."SliderSortOrder"):SetValue(SealBarData[playerName]["SortOrder"]);

	RighteousnessBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]));
	CommandBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_COMMAND]));
	TheCrusaderBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_THE_MARTYR]));
	JusticeBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_JUSTICE]));
	LightBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_LIGHT]));
	WisdomBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_WISDOM]));
	VengeanceBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_VENGEANCE]));
	BloodBarText:SetText(format("%.2f",  SealBarData[playerName][SEAL_OF_BLOOD]));
	SealBarScaleText:SetText(format("%.2f", SealBarData[playerName]["scale"]));
	--SealBarSortOrderText:SetText(format("%.0f", SealBarData[playerName]["SortOrder"]));
	end
end

function SealBarConfigRighteousness_OnClick()
	SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS] = this:GetValue();
	RighteousnessBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_RIGHTEOUSNESS]));
	RighteousnessButton_Scale();
end

function SealBarConfigCommand_OnClick()
	SealBarData[playerName][SEAL_OF_COMMAND] = this:GetValue();
	CommandBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_COMMAND]));
	CommandButton_Scale();
end

function SealBarConfigTheCrusader_OnClick()
	SealBarData[playerName][SEAL_OF_THE_MARTYR] = this:GetValue();
	TheCrusaderBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_THE_MARTYR]));
	TheCrusaderButton_Scale();
end

function SealBarConfigJustice_OnClick()
	SealBarData[playerName][SEAL_OF_JUSTICE] = this:GetValue();
	JusticeBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_JUSTICE]));
	JusticeButton_Scale();
end

function SealBarConfigLight_OnClick()
	SealBarData[playerName][SEAL_OF_LIGHT] = this:GetValue();
	LightBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_LIGHT]));
	LightButton_Scale();
end

function SealBarConfigWisdom_OnClick()
	SealBarData[playerName][SEAL_OF_WISDOM] = this:GetValue();
	WisdomBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_WISDOM]));
	WisdomButton_Scale();
end

function SealBarConfigVengeance_OnClick()
	SealBarData[playerName][SEAL_OF_VENGEANCE] = this:GetValue();
	VengeanceBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_VENGEANCE]));
	VengeanceButton_Scale();
end

function SealBarConfigBlood_OnClick()
	SealBarData[playerName][SEAL_OF_BLOOD] = this:GetValue();
	BloodBarText:SetText(format("%.2f", SealBarData[playerName][SEAL_OF_BLOOD]));
	BloodButton_Scale();
end

-- Cant figure out how to make this the master slider and have it move all the individual sliders, any help would be great.
function SealBarConfigScale_OnClick()
	SealBarData[playerName]["scale"] = this:GetValue();
	SealBarScaleText:SetText(format("%.2f", SealBarData[playerName]["scale"]));
	SealBar_Scale(ALL);
	ALL = {
	SealBarConfigRighteousness_OnClick();
	SealBarConfigCommand_OnClick();
	SealBarConfigTheCrusader_OnClick();
	SealBarConfigJustice_OnClick();
	SealBarConfigLight_OnClick();
	SealBarConfigWisdom_OnClick();
	SealBarConfigVengeance_OnClick();
	SealBarConfigBlood_OnClick();
}	
end

--Cant figure out how to get this slider to randomize the buttons ie  s1 - s2 - s3 - s4 - s5 -etc
--[[
S means SORT # is that sort variation
s1 = 12345678
s2 = 87654321
s3 = 21753468
s4 = 32761485
s5 = 31652487

function SealBarConfigSortOrder_OnClick()
	SealBarSortOrderText:SetText(format("%.0f", SealBarData[playerName]["SortOrder"]));
	if (SealBarData[playerName]["SortOrder"] == "s1") then
		SealBarData[playerName]["SortOrder"] = "s2";
	else
		SealBarData[playerName]["SortOrder"] = "s1";
	end
	SealBar_SortOrder();    
end ]]--

function SealBarConfigCheckBoxHide_OnClick()
	if (SealBarData[playerName]["hidebar"] == true) then
		SealBarData[playerName]["hidebar"] = false;
	else
		SealBarData[playerName]["hidebar"] = true;
	end
	SealBar_Hide();
end

function SealBarConfigCheckBox1_OnClick()
	if (SealBarData[playerName]["horizontal"] == true) then
		SealBarData[playerName]["horizontal"] = false;
	else
		SealBarData[playerName]["horizontal"] = true
	end
	SealBar_O();
end

function SealBarConfigCheckBox2_OnClick()
	if (SealBarData[playerName]["order"] == "az") then
		SealBarData[playerName]["order"] = "za";
	else
		SealBarData[playerName]["order"] = "az"
	end
	SealBar_O();
end